Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vis.beans.customizers
Class CustomizerUtil

    java.lang.Object
      |
      +--vis.beans.customizers.CustomizerUtil

public class CustomizerUtil
extends java.lang.Object

CustomizerUtil Class

Version:
  1.0 18 Jan 1999
Author:
  Lawrence Rodrigues

Constructor Summary
`CustomizerUtil()`

Method Summary
`static java.lang.Object` | `convertStringToObject(java.lang.Class type, java.lang.String txt)`
`static javax.swing.JComboBox` | `createChoice(java.lang.Object obj, java.beans.PropertyChangeSupport pc, java.lang.String prName, java.lang.String[] tag, int[] value)` Create a JPanel with Choice components for integer type of enum property
`static javax.swing.JComboBox` | `createColorComboBox(java.lang.Object obj, java.beans.PropertyChangeSupport pc, java.lang.String prName)`
`static javax.swing.JPanel` | `createIncrPanel(java.lang.Object target, java.beans.PropertyChangeSupport pc, java.lang.String prName, java.lang.String JLabelStr)` Creates an increment JPanel.
`static javax.swing.JTextField` | `createJTextField(java.lang.Object obj, java.beans.PropertyChangeSupport pc, java.lang.String name, java.lang.Class clType)`
`static javax.swing.JPanel` | `createXYIncrPanel(java.lang.Object target, java.beans.PropertyChangeSupport pc, java.lang.String xpr, java.lang.String ypr, java.lang.String JLabelStr)`
`static javax.swing.JPanel` | `doGridbagLayout(java.awt.Component[] comp, int column)`
`static java.lang.Object[]` | `getArgs(java.lang.String txt, java.lang.Class type)` Creates array of agruments for the invoke method.
`static java.lang.Object` | `getProperty(java.lang.Object bean, java.lang.String propName)` This method fetches the current value of a property.
`static java.lang.Class` | `getType(java.lang.Object obj)`
`static void` | `setProperty(java.lang.Object bean, java.lang.String propName, java.lang.Object propValue)` This method sets the value of a property
`static java.lang.String` | `toString(java.lang.Object obj, java.lang.Class type)` Converts an object to a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomizerUtil

    public CustomizerUtil()

Method Detail

### doGridbagLayout

    public static javax.swing.JPanel doGridbagLayout(java.awt.Component[] comp,
                                                     int column)

### createJTextField

    public static javax.swing.JTextField createJTextField(java.lang.Object obj,
                                                          java.beans.PropertyChangeSupport pc,
                                                          java.lang.String name,
                                                          java.lang.Class clType)

### createChoice

    public static javax.swing.JComboBox createChoice(java.lang.Object obj,
                                                     java.beans.PropertyChangeSupport pc,
                                                     java.lang.String prName,
                                                     java.lang.String[] tag,
                                                     int[] value)

  Create a JPanel with Choice components for integer type of enum property
  Parameters:
    `propName` - the property name

### createColorComboBox

    public static javax.swing.JComboBox createColorComboBox(java.lang.Object obj,
                                                            java.beans.PropertyChangeSupport pc,
                                                            java.lang.String prName)

### toString

    public static java.lang.String toString(java.lang.Object obj,
                                            java.lang.Class type)

  Converts an object to a String.

### createXYIncrPanel

    public static javax.swing.JPanel createXYIncrPanel(java.lang.Object target,
                                                       java.beans.PropertyChangeSupport pc,
                                                       java.lang.String xpr,
                                                       java.lang.String ypr,
                                                       java.lang.String JLabelStr)

### createIncrPanel

    public static javax.swing.JPanel createIncrPanel(java.lang.Object target,
                                                     java.beans.PropertyChangeSupport pc,
                                                     java.lang.String prName,
                                                     java.lang.String JLabelStr)

  Creates an increment JPanel. This has only "+" and "-" buttons.
  Parameters:
    `prName` - the property name.
    `JLabelStr` - the JLabel string.

### getProperty

    public static java.lang.Object getProperty(java.lang.Object bean,
                                               java.lang.String propName)

  This method fetches the current value of a property.
  Parameters:
    `bean` - the target bean.
    `propName` - the prperty name.

### setProperty

    public static void setProperty(java.lang.Object bean,
                                   java.lang.String propName,
                                   java.lang.Object propValue)

  This method sets the value of a property
  Parameters:
    `bean` - the target object
    `propName` - the property name
    `propValue` - the value of the property as text. It is convenient to pass the property value as text when text fields are used.

### getArgs

    public static java.lang.Object[] getArgs(java.lang.String txt,
                                             java.lang.Class type)

  Creates array of agruments for the invoke method.
  Parameters:
    `txt` - the text value to be converted to the argument array.
    `type` - the type of argument array.

### getType

    public static java.lang.Class getType(java.lang.Object obj)

### convertStringToObject

    public static java.lang.Object convertStringToObject(java.lang.Class type,
                                                         java.lang.String txt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD